# 17. Query: ottieni "SoilDatasets"

Ottieni tutti i "SoilDatasets" per il "Field" selezionato. I dataset possono essere recuperati usando query GraphQL generiche come `getFarms` e `getFields` dal "Field" collegato.&#x20;

{% hint style="warning" %}
Un "SoilDataset" deve essere caricato in anticipo.
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetSoilDatasetsViaGetFarms {
  getFarms (farmUuids: ["<placeholder_of_farm_uuid>"]) {
    uuid
    fields (fieldUuids: ["<placeholder_of_field_uuid>"]) {
      uuid
      soilDatasets {
        uuid
        name #pattern "<OperationType> <YYYY-mm-DD>"
        operationId #se esiste
        number #numero totale di geofeature
        geometryType
        totalCoveredArea(unit: HECTARES)
        fieldCoverage
        fieldCoveredArea(unit: HECTARES)
        
        fullAttributes { #dettagli completi per attributo
          name #collegamento a statistiche >> attributo
          transliteratedName
          fullName #se esiste
          unit #se esiste
        }

        createdDate #data e ora di creazione dell'entità in GeoPard
        updatedDate #data e ora dell'ultimo aggiornamento
        operationType
        operationId
        operationFileDate #data e ora di creazione del file
        operationStartDate #inizio dell'operazione
        
        statistics { #distribuzione delle statistiche per ogni attributo del suolo
          attribute
          min
          max
          avg
          mdn
          var
          std
          sum
        }

        geoMaps {
          url
          shortName
          hexColorCodes
          classes
        }
      }
    }
  }
}
```

{% endcode %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetSoilDatasetsViaGetFields { 
  getFields(filter: {fieldUuid: "<placeholder_of_field_uuid>" ) { 
    fields { 
      uuid
      soilDatasets { 
        uuid
        nome  
        operationId #se esiste 
        number #numero totale di geofeature 
        geometryType 
        totalCoveredArea(unit: HECTARES) 
        fieldCoverage 
        fieldCoveredArea(unit: HECTARES)    
        
        fullAttributes {
          name #collegamento a statistiche >> attributo
          transliteratedName
          fullName #se esiste
          unit #se esiste
        }
      
        createdDate #data di creazione in GeoPard
        updatedDate #data dell'ultimo aggiornamento in GeoPard
        operationFileDate #data e ora di creazione del file (se esiste)
        operationStartDate #inizio dell'operazione (se esiste)
      
        statistics { #distribuzione statistica per ogni attributo del suolo
          attribute
          min
          max
          avg
          mdn
          var
          std
          sum
        }
        
        geoMaps { #rappresentazione visiva
          url
          shortName
          hexColorCodes
          classes
        }
      }
    }
  } 
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/it/documentazione-api/panoramica-delle-richieste-api-geopard/17.-query-ottieni-soildatasets.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
